testing::internal::CartesianProductHolder10< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6, Generator7, Generator8, Generator9, Generator10 > Class Template Reference

`#include <gtest.h>`

## Public Member Functions

| CartesianProductHolder10 (const Generator1 &g1, const Generator2 &g2, const Generator3 &g3, const Generator4 &g4, const Generator5 &g5, const Generator6 &g6, const Generator7 &g7, const Generator8 &g8, const Generator9 &g9, const Generator10 &g10)
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 , typename T10 >
| operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 > > () const

## Detailed Description

### template<class Generator1, class Generator2, class Generator3, class Generator4, class Generator5, class Generator6, class Generator7, class Generator8, class Generator9, class Generator10>
class testing::internal::CartesianProductHolder10< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6, Generator7, Generator8, Generator9, Generator10 >

Definition at line 13295 of file gtest.h.

## Constructor & Destructor Documentation

## CartesianProductHolder10()

template<class Generator1 , class Generator2 , class Generator3 , class Generator4 , class Generator5 , class Generator6 , class Generator7 , class Generator8 , class Generator9 , class Generator10 >

testing::internal::CartesianProductHolder10< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6, Generator7, Generator8, Generator9, Generator10 >::CartesianProductHolder10 | ( | const Generator1 & | g1,
|  | const Generator2 & | g2,
|  | const Generator3 & | g3,
|  | const Generator4 & | g4,
|  | const Generator5 & | g5,
|  | const Generator6 & | g6,
|  | const Generator7 & | g7,
|  | const Generator8 & | g8,
|  | const Generator9 & | g9,
|  | const Generator10 & | g10
| ) |  |

inline

Definition at line 13297 of file gtest.h.

## Member Function Documentation

## operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 > >()

template<class Generator1 , class Generator2 , class Generator3 , class Generator4 , class Generator5 , class Generator6 , class Generator7 , class Generator8 , class Generator9 , class Generator10 >
template<typename T1 , typename T2 , typename T3 , typename T4 , typename T5 , typename T6 , typename T7 , typename T8 , typename T9 , typename T10 >

testing::internal::CartesianProductHolder10< Generator1, Generator2, Generator3, Generator4, Generator5, Generator6, Generator7, Generator8, Generator9, Generator10 >::operator ParamGenerator< ::std::tuple< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10 > > | ( |  | ) | const

inline

Definition at line 13306 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h